Page MenuHomePhabricator

efl_canvas_image : remove the animated image limitation
ClosedPublic

Authored by herb on Nov 1 2021, 5:30 AM.

Details

Summary

remove FRAME_MAX limitation to play the huge animated image which has more than 1024 frames

Test Plan

load gif image which has more than 1024 frames

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17556
Build 11818: arc lint + arc unit
herb created this revision.Nov 1 2021, 5:30 AM
herb requested review of this revision.Nov 1 2021, 5:30 AM
Hermet accepted this revision.Nov 1 2021, 9:52 PM
Hermet added a subscriber: raster.

dae46003e7d legacy/evas/src/lib/canvas/evas_object_image.c (Jiyoun Park 2011-08-11 06:04:08 +0000 1734) #define FRAME_MAX 1024

Trace it back to the origin... It doesn't address reason why it limit the max frame...
Also i think it's not good to limit our gif animation spec.

@raster if you have any opinions, please leave us your feedback. :)

This revision is now accepted and ready to land.Nov 1 2021, 9:52 PM
Hermet closed this revision.Nov 4 2021, 12:39 AM